cURL
curl --request POST \
--url https://api.comm.com/api/v1/contacts/upsert \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contacts": [
{
"country": "<string>",
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"phone_normalized": "<string>",
"email_normalized": "<string>",
"email_is_good": 123,
"email_is_good_reason": 123,
"name": "<string>",
"state_id": 123,
"state_id_reason": 123,
"custom_fields": [
{
"name": "<string>",
"value": "<string>"
}
],
"network_brand": "<string>",
"mcc": "<string>",
"mnc": "<string>",
"foreign_id": "<string>",
"raw_response": "<string>"
}
],
"webhook_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.comm.com/api/v1/contacts/upsert"
payload = {
"contacts": [
{
"country": "<string>",
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"phone_normalized": "<string>",
"email_normalized": "<string>",
"email_is_good": 123,
"email_is_good_reason": 123,
"name": "<string>",
"state_id": 123,
"state_id_reason": 123,
"custom_fields": [
{
"name": "<string>",
"value": "<string>"
}
],
"network_brand": "<string>",
"mcc": "<string>",
"mnc": "<string>",
"foreign_id": "<string>",
"raw_response": "<string>"
}
],
"webhook_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contacts: [
{
country: '<string>',
contact_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
phone_normalized: '<string>',
email_normalized: '<string>',
email_is_good: 123,
email_is_good_reason: 123,
name: '<string>',
state_id: 123,
state_id_reason: 123,
custom_fields: [{name: '<string>', value: '<string>'}],
network_brand: '<string>',
mcc: '<string>',
mnc: '<string>',
foreign_id: '<string>',
raw_response: '<string>'
}
],
webhook_request_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.comm.com/api/v1/contacts/upsert', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Job dispatched",
"jobs_count": "<string>",
"automation_run_id": "<string>",
"webhook_request_id": "<string>",
"contacts_count": "<string>"
}{
"message": "<string>",
"errors": {}
}Contacts
Post v1contactsupsert
POST
/
v1
/
contacts
/
upsert
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I